# class File

#### package js.html

#### extends Blob

Available on HTML5

The `File` interface provides information about files and allows JavaScript in a web page to access their content.

Documentation File by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/File

### Constructor

###

`new (fileBits:String, ?options:ChromeFilePropertyBag)`

`new (fileBits:Array<EitherType<ArrayBuffer, EitherType<ArrayBufferView, EitherType<Blob, String>>>>, fileName:String, ?options:FilePropertyBag)`

`new (fileBits:Blob, ?options:ChromeFilePropertyBag)`

`new (fileBits:Dynamic, ?options:ChromeFilePropertyBag)`

Throws:

`null` | DOMError

### Variables

###

`read onlylastModified:Int`

Returns the last modified time of the file, in millisecond since the UNIX epoch (January 1st, 1970 at Midnight).

###

`read onlylastModifiedDate:Date`

Returns the last modified `Date` of the file referenced by the `File` object.

###

`read onlyname:String`

Returns the name of the file referenced by the `File` object.

### Inherited Variables

#### Defined by Blob

###

`read onlysize:Int`

The size, in bytes, of the data contained in the `Blob` object.

###

`read onlytype:String`

A string indicating the MIME type of the data contained in the `Blob`. If the type is unknown, this string is empty.

### Inherited Methods

#### Defined by Blob

###

`slice (?start:Int, ?end:Int, contentType:String = ""):Blob`

Throws:

`null` | DOMError